/*
 * Copyright 2015 Maximilian Weißböck, Wien
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package n4l.model;

import java.util.ArrayList;
import java.util.List;


public class Station {

	String name;
	String id;
	List<Module> modules;


	public Station(String name, String id) {
		this.name = name;
		this.id = id;
		this.modules = new ArrayList<>();
	}


	public String getName() {
		return name;
	}


	public void setName(String name) {
		this.name = name;
	}


	public String getId() {
		return id;
	}


	public void setId(String id) {
		this.id = id;
	}


	public List<Module> getModules() {
		return modules;
	}


	public void setModules(List<Module> modules) {
		this.modules = modules;
	}


	public void addModule(Module module) {
		this.modules.add(module);
		module.setStation(this);
	}


	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("Station [name=" + name + ", id=" + id + "]");
		for (Module m : modules) {
			sb.append("\n" + m.toString());
		}
		return sb.toString();
	}

}